<script type="text/javascript">
$(document).ready(function(){
	makeFunctionModul = function(_func, _lastNo){
		_func2 = _func;
		_func  = _func.split("(");
		_func  = _func[0];
		if(_func === 'account'){
			account(_lastNo);
		}
		if(_func === 'cabang'){
			cabang(_lastNo);
		}
		if(_func === 'kurs'){
			kurs(_lastNo);
		}
		if(_func === 'bank'){
			bank(_lastNo);
		}
		if(_func === 'sub'){
			sub(_lastNo);
		}
		if(_func === 'inv'){
			inv(_lastNo);
		}
		if(_func === 'rhp'){
			rhp(_lastNo);
		}
		if(_func === 'giro'){
			giro(_lastNo);
		}
		if(_func === 'rhp_pcv'){
			rhp_pcv(_lastNo);
		}
		if(_func === 'rhp_pcrp'){
			rhp_pcrp(_lastNo);
		}
		if(_func === '_password'){
			_password();
		}
		if(_func === '_creatingJurnal'){
			_creatingJurnal();
		}
		if(_func === 'makeHitungDK'){
			makeHitungDK();
		}
		if(_func === '_creatingJpl'){
			_creatingJpl();
		}
		if(_func === '_creatingJph'){
			_creatingJph();
		}
		if(_func === '_creatingBkm'){
			_creatingBkm();
		}
		if(_func === '_creatingBkk'){
			_creatingBkk();
		}
		if(_func === '_selectDisplay'){
			_selectDisplay(_lastNo);
		}
		if(_func === '_creatingTts'){
			_creatingTts(_lastNo);
		}
		if(_func === '_creatingPcv'){
			_creatingPcv(_lastNo);
		}
		if(_func === 'tts_po'){
			tts_po(_lastNo);
		}
		if(_func === 'refreshDetMex'){
			refreshDetMex(_lastNo);
		}
		if(_func === '_fixAsset'){
			_fixAsset(_lastNo);
		}
		if(_func === '_dataReg'){
			_dataReg(_lastNo);
		}
		if(_func === '_dataReg2'){
			_dataReg2(_lastNo);
		}
		if(_func === '_dataReg3'){
			_dataReg3(_lastNo);
		}
	}
	
	_namaAccount = false;
	account = function(_no){
		if(_namaAccount != false){
			_namaAccount.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_namaAccount = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"mac/account/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nama);
				makeFocusTarget(obj.target);
			},
		})
	}
	
	_tts_po = false;
	tts_po = function(_no){
		if(_tts_po != false){
			_tts_po.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_tts_po = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"tts/po/&idRef="+$('#no_ref').val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#kd_cabang').val(obj.data.kd_cabang);
				$('#nm_cabang').val(obj.data.nm_cabang);
				$('#kdsub').val(obj.data.kd_sub);
				$('#nmsub').val(obj.data.nm_sub);
				$('#nilai').val(obj.data.credit);
				makeFocusTarget(obj.target);
				setDec();
			},
		})
	}
	
	_nmBank = false;
	bank = function(_no){
		if(_nmBank != false){
			_nmBank.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_nmBank = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"bank/bank/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nama);
				makeFocusTarget(obj.target);
			},
		})
	}
	_nmKurs = false;
	kurs = function(_no){
		if(_nmKurs != false){
			_nmKurs.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_nmKurs = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"kurs/kurs/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nama);
				makeFocusTarget(obj.target);
			},
		})
	}
	
	_sub = false;
	sub = function(_no){
		if(_sub != false){
			_sub.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_sub = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"sub/sub/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nm_sub);
				makeFocusTarget(obj.target);
			},
		})
	}
	_inv = false;
	inv = function(_no){
		if(_inv != false){
			_inv.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_inv = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"inv/inv/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nm_inv);
				_read = $('#'+obj.target).attr("readonly");
				makeFocusTarget(obj.target);
			},
		})
	}
	
	rhp_pcv = function(_id){
		rhp(_id);
	}
	rhp_pcrp = function(_id){
		rhp(_id);
	}
	
	_rhpLoad = false;
	rhp = function(_id){
		_val = $('#'+_id).val();
		if(_rhpLoad != false){
			_rhpLoad.abort();
		}
		_rhpLoad = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"rhp/det/&idRef="+_val+'&id='+_id,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				if(obj.data.nota != '' & obj.data.nota != undefined){
					$('#kdac_'+obj.no).val(obj.asli.kdac);
					$('#nmac_'+obj.no).val(obj.asli.nmac);
					$('#kd_sub_'+obj.no).val(obj.asli.kd_sub);
					$('#nm_sub_'+obj.no).val(obj.asli.nm_sub);
					$('#ket_'+obj.no).val(obj.data.nota+" "+obj.data.ket);
					$('#pc_'+obj.no).val(obj.asli.kd_cabang);
					$('#bg_no_'+obj.no).val(obj.data.bg_no);
					$('#bg_bank_'+obj.no).val(obj.data.bg_bank);
					$('#bg_tgl_'+obj.no).val(obj.data.bg_tgl);
					$('#nilai_'+obj.no).val(obj.data.nilai);
					_cekC = $('#credit_'+obj.no).attr("name");
					_cekD = $('#debet_'+obj.no).attr("name");

					// alert(_cekC+' => '+_cekD);
					
					if(_cekC != undefined & _cekD != undefined){
						if(obj.data.dk === 'D'){
							$('#credit_'+obj.no).val(obj.data.credit);
						}else{
							$('#debet_'+obj.no).val(obj.data.debet);
						}
						makeHitungDK();
					}else if(_cekC != undefined & _cekD === undefined){
						if(obj.data.dk === 'K'){
							obj.data.credit = Number(obj.data.credit);
							obj.data.credit = obj.data.credit - (obj.data.credit * 2);
						}
						$('#credit_'+obj.no).val(obj.data.credit);
						makeHitungCredit();
					}else if(_cekC === undefined & _cekD != undefined){
						if(obj.data.dk === 'D'){
							obj.data.credit = Number(obj.data.credit);
							obj.data.credit = obj.data.credit - (obj.data.credit * 2);
						}
						$('#debet_'+obj.no).val(obj.data.credit);
						makeHitungDebet();
					}
				}
				setDec();
			},
		})
	}
	
	_giro = false;
	giro = function(_id){
		_val = $('#'+_id).val();
		if(_giro != false){
			_giro.abort();
		}
		_giro = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"bg/det/&idRef="+_val+'&id='+_id,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				if(obj.data.bg_no != '' & obj.data.bg_no != undefined){
					
					$('#kdac_'+obj.no).val(obj.asli.kdac);
					$('#nmac_'+obj.no).val(obj.asli.nmac);
					$('#kd_sub_'+obj.no).val(obj.asli.kd_sub);
					$('#nm_sub_'+obj.no).val(obj.asli.nm_sub);
					$('#ket_'+obj.no).val(obj.asli.ket);
					$('#bg_no_'+obj.no).val(obj.data.bg_no);
					$('#bg_bank_'+obj.no).val(obj.data.bg_bank);
					$('#bg_tgl_'+obj.no).val(obj.data.bg_tgl);
					$('#nilai_'+obj.no).val(obj.data.nilai);
					_cekC = $('#credit_'+obj.no).attr("name");
					_cekD = $('#debet_'+obj.no).attr("name");

					if(_cekC != undefined & _cekD != undefined){
						if(obj.data.dk === 'D'){
							$('#credit_'+obj.no).val(obj.data.credit);
						}else{
							$('#debet_'+obj.no).val(obj.data.debet);
						}
						makeHitungDK();
					}else if(_cekC != undefined & _cekD === undefined){
						if(obj.data.dk === 'K'){
							obj.data.credit = Number(obj.data.credit);
							obj.data.credit = obj.data.credit - (obj.data.credit * 2);
						}
						$('#credit_'+obj.no).val(obj.data.credit);
						makeHitungCredit();
					}else if(_cekC === undefined & _cekD != undefined){
						if(obj.data.dk === 'D'){
							obj.data.credit = Number(obj.data.credit);
							obj.data.credit = obj.data.credit - (obj.data.credit * 2);
						}
						$('#debet_'+obj.no).val(obj.data.credit);
						makeHitungDebet();
					}
				}
				setDec();
			},
		})
	}
	
	_namaCabang = false;
	cabang = function(_no){
		if(_namaCabang != false){
			_namaCabang.abort();
		}
		
		_target = $('#'+_no).attr("target");
		_col 	= $('#'+_no).attr("col");
		if(_col != undefined){
			_target+= '_'+_col;
		}
		
		_namaCabang = $.ajax( {	
			type : "GET",
			url: $('#defaultBaseUrl').val()+"cabang/cabang/&idRef="+$('#'+_no).val()+'&target='+_target,
			dataType : "json",	
			data : $(this).serializeArray(),
			success : function(obj,status,xhr) {
				$('#'+obj.target).val(obj.nama);
			},
		})
	}
	
	makeStabilDK = function(){
		$('._hitung').live("change", (function(){
			_col = $(this).attr("col");
			_ini = $(this).attr("targetNull");
			$('#'+_ini+'_'+_col).val(0);
		}))
	}
	
	makeHitungDK = function(){
		_debet	= 0;
		_credit	= 0;
		for(_i = 0; _i <= 100; _i++){
			_cek = $('#debet_'+_i).attr("id");
			if(_cek != undefined){
				_deb = Number(str_ireplace(",", "", $('#debet_'+_i).val()));
				_cre = Number(str_ireplace(",", "", $('#credit_'+_i).val()));
				_debet 	= _debet + _deb;
				_credit = _credit + _cre;
			}
		}

		_debet 	= accounting.formatNumber(_debet, 2, '', '.');
		_credit = accounting.formatNumber(_credit, 2, '', '.');

		_selisih = _debet - _credit;

		_selisih = accounting.formatNumber(_selisih, 2, '', '.');
		
		$('#tot_debet').val(_debet);
		$('#tot_credit').val(_credit);
		$('#selisih').val(_selisih);
		
		setDec();
	}
	
	makeHitungCredit = function(){
		_credit	= 0;
		for(_i = 0; _i <= 100; _i++){
			_cek = $('#credit_'+_i).attr("id");
			if(_cek != undefined){
				_cre = Number(str_ireplace(",", "", $('#credit_'+_i).val()));
				_cre = Number(accounting.formatNumber(_cre, 3, '', '.'));
				_credit = _credit + _cre;
				_credit = Number(accounting.formatNumber(_credit, 3, '', '.'));
			}
		}
		$('#tot_debet').val(_credit);
		setDec();
	}
	
	makeHitungDebet = function(){
		_debet	= 0;
		for(_i = 0; _i <= 100; _i++){
			_cek = $('#debet_'+_i).attr("id");
			if(_cek != undefined){
				_deb = Number(str_ireplace(",", "", $('#debet_'+_i).val()));
				_debet = _debet + _deb;
			}
		}
		$('#tot_credit').val(_debet).setMask();
		makeFixAsset();
		setDec();
	}
	makeFixAsset = function(){
		$('#fix').change(function(){
			_fixA = $('#fix').val();
			if(_fixA === 'T'){
				_load = 'load("fix", "false", "inv")';
			}else{
				_load = 'load("inv", "false", "inv")';
			}
			
			_lastBaris = parseInt($('#_lastBarisDet').val());
			for(_i = 1; _i <= _lastBaris; _i++){
				_id = $('#kd_inv_'+_i).attr("id");
				if(_id != undefined){
					$('#kd_inv_'+_i).attr("after", _load);
				}
			}
		})
	}
	_creatingJurnal = function(){
		makeStartJurnal = function(){
			$('#tgl').val($('#tglDefault').val());
			$('#kd_cabang').val('HO');
			$('#nm_cabang').val('CV. GRAHA BUSANA PRIMA');
		}
		$('.buttonAdd').click(function(){
			makeStartJurnal();
		})
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartJurnal();
			}
		}).start();
		$('._hitung').live('change', (function(){
			makeHitungDK();
		}))
		makeStabilDK();
		makeHitungDK();
		selectLoadDb('cabang', 'CABANG', '', false);
	}
	_creatingJpl = function(){
		makeStartBkm = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartBkm();
			}
		}).start();
		$('.buttonAdd').click(function(){
			makeStartBkm();
		})
		$('._hitung').live('change', (function(){
			makeHitungCredit();
		}))
		makeHitungCredit();
		selectLoadDb('cabang', 'CABANG', '', false);
		selectLoadDb('kas', 'KAS', '', false);
		selectLoadDb('bank', 'BANK', '', false);
		selectLoadDb('kasbnk', 'KASBNK', '', false);
	}
	
	_creatingJph = function(){
		makeStartBkm = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartBkm();
			}
		}).start();
		$('.buttonAdd').click(function(){
			makeStartBkm();
		})
		$('._hitung').live('change', (function(){
			makeHitungDebet();
		}))
		makeHitungDebet();
		selectLoadDb('cabang', 'CABANG', '', false);
		selectLoadDb('kas', 'KAS', '', false);
		selectLoadDb('bank', 'BANK', '', false);
		selectLoadDb('kasbnk', 'KASBNK', '', false);
	}
	
	_creatingBkm = function(){
		makeStartBkm = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartBkm();
			}
		}).start();
		$('.buttonAdd').click(function(){
			makeStartBkm();
		})
		$('._hitung').live('change', (function(){
			makeHitungCredit();
		}))
		makeHitungCredit();
		selectLoadDb('cabang', 'CABANG', '', false);
		selectLoadDb('kas', 'KAS', '', false);
		selectLoadDb('bank', 'BANK', '', false);
		selectLoadDb('bnk', 'BNK', '', false);
	}
	_creatingBkk = function(){
		makeStartBkk = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$('.buttonAdd').click(function(){
			makeStartBkk();
		})
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartBkk();
			}
		}).start();
		$('._hitung').live('change', (function(){
			makeHitungDebet();
		}))
		makeHitungDebet();
		selectLoadDb('cabang', 'CABANG', '', false);
		selectLoadDb('kas', 'KAS', '', false);
		selectLoadDb('bank', 'BANK', '', false);
		selectLoadDb('bnk', 'BNK', '', false);
	}
	
	makeHitungTts = function(){
		_nilai 	= Number(str_ireplace(",", "", $('#nilai').val()));
		_ppn 	= Number(str_ireplace(",", "", $('#ppn').val()));
		_pph 	= Number(str_ireplace(",", "", $('#pph').val()));
		
		if(_ppn === ''){
			_ppn = 0;
		}
		if(_pph === ''){
			_pph = 0;
		}
		
		_ppnN = (_nilai * _ppn) / 100;
		_ppnN = Number(accounting.formatNumber(_ppnN, 2, '', '.'));

		_pphN = (_nilai * _pph) / 100;
		_pphN = Number(accounting.formatNumber(_pphN, 2, '', '.'));

		_total	= (_nilai + _ppnN) - _pphN;

		_nilai 	= accounting.formatNumber(_nilai, 2, ',', '.');
		_ppnV 	= accounting.formatNumber(_ppnN, 2, ',', '.');
		_pphV 	= accounting.formatNumber(_pphN, 2, ',', '.');
		_total 	= accounting.formatNumber(_total, 2, ',', '.');
		
		$('#nilai').val(_nilai);
		$('#ppn_nilai').val(_ppnV);
		$('#pph_nilai').val(_pphV);
		$('#total').val(_total);
		setDec();
	}
	_creatingTts = function(){
		makeStartTts = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartTts();
			}
		}).start();
		$('.buttonAdd').click(function(){
			makeStartTts();
		})
		$('._hitung').live('change', (function(){
			makeHitungTts();
		}))
	}
	
	_creatingPcv = function(){
		makeStartTts = function(){
			$('#tgl').val($('#tglDefault').val());
		}
		$.Shortcuts.add({
			type: "down",
			mask: "A",
			handler: function() {
				makeStartTts();
			}
		}).start();
		$('.buttonAdd').click(function(){
			makeStartTts();
		})
		$('._hitung').live('change', (function(){
			makeHitungDebet();
		}))
		makeHitungDebet();
	}
	
	$('#file_mex').after(function(){
		createUploader('_fileMex', 'file_mex', 'refreshDetMex');
	})
	
	_refreshDetMex = false;
	refreshDetMex = function(){
		_fileName = $('#file_mex').val();
		$('#file_mex').val("Loading..........");
		if(_refreshDetMex != false){
			_refreshDetMex.abort();
		}
		_refreshDetMex = $.ajax( {	
		type: "GET",
			url: $('#defaultBaseUrl').val()+"mex/refresh/&idRef="+_fileName,
			data: $(this).serialize(),
			success: function(data) {
				$("#errorDisplay").html(data);
			}
		})	
	}
				
	$('#MexExport').live("click", (function(){
		window.open($('#defaultBaseUrl').val()+"mex/export/&idRef="+$('#kode').val());
	}))
	
	$('#_jurnlPenutup').live("click", (function(){
		_tgl = $('#tgl').val();
		if(_tgl === ''){
			alert("Tanggal Tidak Boleh Kosong");
		}else{
			makeConfirmJurnalPenutup(_tgl);
		}
	}))
	_makePostingJurnalPenutup = false;
	makePostingJurnalPenutup = function(_tgl){
		$('#_jurnlPenutup').attr("disabled", true);
		if(_makePostingJurnalPenutup != false){
			_makePostingJurnalPenutup.abort();
		}
		_makePostingJurnalPenutup = $.ajax( {	
		type: "GET",
			url: $('#defaultBaseUrl').val()+"jpn/tutup/&idRef="+_tgl,
			data: $(this).serialize(),
			success: function(data) {
				$("#errorDisplay").html(data);
				$('#_jurnlPenutup').removeAttr("disabled");
			}
		})	
	}
	function makeConfirmJurnalPenutup(_tgl){
		var txt;
		var r = confirm("Yakin Menutup Periode "+_tgl+' ?');
		if (r == true) {
			makePostingJurnalPenutup(_tgl);
		}	
	}
	
	_fixAsset = function(){
		selectLoadDb('mgud', 'GUDANG', '', false);
	}
	_makeHitSusut = false;
	makeHitSusut = function(){
		if(_makeHitSusut != false){
			_makeHitSusut.abort();
		}
		_makeHitSusut = $.ajax({
		type: 'GET',
			url: $('#defaultBaseUrl').val()+$('#defaultController').val()+'/loadSusut/&metode='+$('#metode').val()+'&lama='+$('#lama').val()+'&tgl='+$('#tgl_penyusutan').val()+'&harga='+$('#harga').val(),
			data: $(this).serialize(),
			success: function(data) {
				$('#errorDisplay').html(data);
			}
		})
	}
	$('#_fixHit').click(function(){
		makeHitSusut();
	})
	
	_makeHitJps = false;
	makeHitJps = function(){
		if(_makeHitJps != false){
			_makeHitJps.abort();
		}
		_makeHitJps = $.ajax({
		type: 'GET',
			url: $('#defaultBaseUrl').val()+$('#defaultController').val()+'/loadSusut/&tgl='+$('#tgl').val(),
			data: $(this).serialize(),
			success: function(data) {
				$('#errorDisplay').html(data);
			}
		})
	}
	$('#_hisJps').click(function(){
		makeHitJps();
	})
	
	_dataReg = function(){
		_tot = Number(str_ireplace(",", "", $('#awal').val()));
		_deT = 0;
		_crT = 0;
		for(_i = 0; _i <= 100; _i++){
			_cek = $('#nojnld_'+_i).attr('id');
			if(_cek != undefined){
				_deb = Number(str_ireplace(",", "", $('#debetd_'+_i).val()));
				_cre = Number(str_ireplace(",", "", $('#creditd_'+_i).val()));
				
				_tot = _tot + (_deb - _cre);
				_tot = Math.round(_tot);
				_deT = _deT + _deb;
				_crT = _crT + _cre;
				$('#saldo_'+_i).val(_tot);
			}
		}
		
		$('#debet').val(_deT);
		$('#credit').val(_crT);
		$('#akhir').val(_tot);
		
		setDec();
	}
	_dataReg2 = function(){
		_totS = Number(str_ireplace(",", "", $('#qtya').val()));
		_deTS = 0;
		_crTS = 0;
		for(_i = 0; _i <= 100; _i++){
			_cek = $('#nojnld_'+_i).attr('id');
			if(_cek != undefined){
				_deb = Number(str_ireplace(",", "", $('#masukd_'+_i).val()));
				_cre = Number(str_ireplace(",", "", $('#keluard_'+_i).val()));
				
				_totS = _totS + (_deb - _cre);
				_totS = Math.round(_totS);
				_deTS = _deTS + _deb;
				_crTS = _crTS + _cre;
				$('#stokd_'+_i).val(_totS);
			}
		}
		
		$('#masuk').val(_deTS);
		$('#keluar').val(_crTS);
		$('#stok').val(_totS);
		
		setDec();
	}
	_dataReg3 = function(){
		_dataReg();
		_dataReg2();
	}
})
</script>